function Z = ABCD_TtoZ(T) % SRR: Edited 1/23/17
% NOTE: This function generalizes to 3 dimensional array 2x2xNF where NF =
% number of frequencies

A = squeeze(T(1,1,:)); B = squeeze(T(1,2,:)); 
C = squeeze(T(2,1,:)); D = squeeze(T(2,2,:));

% NOTE: Z(1,1,:) is the input impedance!!!
Z(1,1,:) = A./C; Z(1,2,:) = (A.*D-B.*C)./C; 
Z(2,1,:) = 1./C; Z(2,2,:) = D./C;